Index: Doc/Backend/DBInterface.tex
===================================================================
--- Doc/Backend/DBInterface.tex	(revision 231)
+++ Doc/Backend/DBInterface.tex	(revision 299)
@@ -68,5 +68,5 @@
 
 			\begin{figure}[H]
-				\caption{Retrieving all surveys containing questions with IDs q1 and q2, created by the user
+				\caption{Retrieving all surveys containing questions with UIDs q1 and q2, created by the user
 					Jos, printing all questions in those surveys}
 				\begin{framed}
@@ -154,7 +154,8 @@
 											& question					& String					& UID of the question	\\
 											& values					& Array of Strings				& 						\\ \hline \hline
-			\multirow{4}{*}{AnswerSet}				& uid						& String					& 						\\
+			\multirow{5}{*}{AnswerSet}				& uid						& String					& 						\\
 											& survey					& String					& UID of the Survey		\\
 											& respondent				& String					& UID of the Respondent	\\
+											& datetime					& String					& Unix Timestamp. \\
 											& answers					& Array of Strings				& UIDs of the Answers   \\ \hline \hline
 			\multirow{4}{*}{Application}				& uid						& String					& \\
@@ -162,5 +163,6 @@
 											& description					& String					& \\
 											& style					& String					& \\ \hline \hline
-			\multirow{5}{*}{Question}				& code					& String					& \\
+			\multirow{6}{*}{Question}				& uid						& String					& \\
+											& code					& String					& \\
 											& title						& String					& \\
 											& type					& String					& \\
@@ -168,7 +170,8 @@
 											& category					& String					& \\
 											& definedanswers				& Array of Strings				& String values of possible answers \\ \hline \hline
-			\multirow{3}{*}{Respondent/User}			& uid						& String					& \\
-											& name					& String					& \\
-											& password					& String					& Use hashes to store passwords \\ \hline \hline
+			\multirow{4}{*}{Respondent/User}			& uid						& String					& \\
+											& email					& String					& \\
+											& passwordHash				& String					& Use hashes to store passwords \\
+											& passwordSalt				& String					& \\ \hline \hline
 			\multirow{7}{*}{Session}					& uid						& String					& \\
 											& title						& String					& \\
@@ -177,5 +180,4 @@
 											& applications				& Array of Strings				& UIDs of the Applications \\
 											& surveys					& Array of Strings				& UIDs of the Surveys \\
-											& answersets				& Array of Strings				& UIDs of the AnswerSets \\ \hline \hline
 			\multirow{9}{*}{SessionInstance}			& uid						& String					&  \\
 											& title						& String					& \\
@@ -186,5 +188,6 @@
 											& notes					& Array of Strings				& \\
 											& session					& String					& UID of the Session this Instance refers to. \\
-											& resultset					& String					& UID of the ResultSet this Instance has. \\ \hline \hline
+											& applicationinstances			& Array of Strings				& UIDs of the ApplicationInstances \\
+											& surveyinstances				& Array of Strings				& UIDs of the SurveyInstances \\ \hline \hline
 			\multirow{4}{*}{Survey}					& uid						& String					& \\
 											& title						& String					& \\
@@ -192,4 +195,20 @@
 											& creator					& String					& UID of the user that created this survey \\
 											& questions					& Array of Strings				& UIDs of the Questions \\ \hline \hline
+			\multirow{8}{*}{ApplicationInstance}			& uid						& String					& \\
+											& of\_application				& String					& UID of the corresponding application \\
+											& startime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& endtime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& open					& Integer					& 1 for true, 0 for false. \\
+											& playerresults				& Array of Strings				& Not yet implemented. \\
+											& groupresults				& Array of Strings				& Not yet implemented. \\
+											& periodicresults				& Array of Strings				& Not yet implemented. \\ \hline \hline
+			\multirow{7}{*}{SurveyInstance}			& uid						& String					& \\ \pagebreak
+											& of\_survey					& String					& UID of the Survey \\
+											& startime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& endtime					& String					& Unix Timestamp. No way to search on intervals (yet). \\
+											& open					& Integer					& 1 for true, 0 for false. \\								
+											& preset\_answers				& Array of Strings				& Array with Answer UIDs to define default answers.  \\
+											& answersets				& Array of Strings				& Array with AnswerSet UIDs \\ \hline 
+
 		\end{tabular} \\
 