Index: Doc/Diagrams/class_diagram.dot
===================================================================
--- Doc/Diagrams/class_diagram.dot	(revision 309)
+++ Doc/Diagrams/class_diagram.dot	(revision 309)
@@ -0,0 +1,92 @@
+digraph FacilitatorToolClassDiagram {
+	fontname = "Tahoma"
+	fontsize = 8
+	node [
+		fontname = "Tahoma"
+		fontsize = 8
+		shape = "record"
+	]
+	edge [
+		fontname = "Tahoma" 
+		fontsize = 8
+	]
+
+	Survey [
+		label = "{Survey|$title : String \l$description : String \l$creator : User \l$questions : Question[] \l|}"
+	]
+	User [
+		label = "{User|$email : String \l$passwordHash : String \l$passwordSalt : String\l|}"
+	]
+	Question [
+		label = "{Question|$code : String \l$title : String \l$type : String \l$description : String \l$category : String \l$answers : String[] \l|}"
+	]
+	Answer [
+		label = "{Answer|$question : Question \l$values : Array \l|}"
+	]
+	AnswerSet [
+		label = "{AnswerSet|$survey : Survey \l$respondent : Respondent \l$datetime : DateTime \l$answers : Array \l|}"
+	]
+	Respondent [
+		label = "{Respondent|$email : String \l$passwordHash : String \l$passwordSalt : String\l|}"
+	]
+	SurveyInstance [
+		label = "{SurveyInstance|$survey : Survey \l$starttime : DateTime \l$endtime : DateTime \l$open : boolean \l$presetanswers : Answer[] \l$answersets : AnswerSet[] \l|}"
+	]
+	Application [
+		label = "{Application|$title : String \l$description : String \l$style : String \l|}"
+	]
+	ApplicationInstance [
+		label = "{ApplicationInstance|$application : Application \l$starttime : DateTime \l$endtime : DateTime \l$open : boolean \l$playerresults : PlayerResult[] \l$groupresults : GroupResults[] \l$periodicresults : PeriodicResults[]|}"
+	]
+	Session [
+		label = "{Session|$title : String \l$creator : User \l$creationdate : DateTime \l$pipeline : Survey/Application[] \l|}"
+	]
+	SessionInstance[
+		label = "{SessionInstance|$title : String \l$location : String \l$facilitator : User \l$starttime : DateTime \l$endtime : DateTime \l$notes : String[] \l$session : Session \l$surveyinstances : SurveyInstance[] \l$applicationinstances : ApplicationInstance[] \l|}"
+	]
+	PlayerResult[
+		label = "{PlayerResult|$value : KeyValuePair[] \l$respondent : Respondent \l$application : Application \l|}"
+	]
+	GroupResult[
+		label = "{GroupResult|$value : KeyValuePair[] \l$respondent : Respondent \l$application : Application \l|}"
+	]
+	PeriodicResult[
+		label = "{PeriodicResult|$value : KeyValuePair[] \l$respondent : Respondent \l$application : Application \l|}"
+	]
+
+	edge [
+		arrowhead = "none"
+	]
+	Survey -> User [headlabel = "1" "creator"]
+
+	Survey -> Question [headlabel = "*" label = "questions"]
+
+	Answer -> Question [headlabel = "1" label = "question"]
+
+	AnswerSet -> Survey [headlabel = "1" label = "survey"]
+	AnswerSet -> Answer [headlabel = "*" label = "answers"]
+	AnswerSet -> Respondent [headlabel = "1" label = "respondent"]
+
+	SurveyInstance -> Survey [headlabel = "1" label = "survey"]
+	SurveyInstance -> AnswerSet [headlabel ="*" label = "answersets"]
+	SurveyInstance -> Answer [headlabel = "*" label = "presetanswers"]
+	
+	ApplicationInstance -> Application [headlabel = "1" label = "application"]
+	ApplicationInstance -> PlayerResult [headlabel = "*" label = "playerresults"]
+	ApplicationInstance -> GroupResult [headlabel = "*" label = "groupresults"]
+	ApplicationInstance -> PeriodicResult [headlabel = "*" label = "periodicresults"]
+
+	Session -> User [headlabel ="1" label = "creator"]
+	Session -> Survey [headlabel = "*" label = "pipeline"]
+	Session -> Application [headlabel = "*" label ="pipeline"]
+
+	SessionInstance -> User [headlabel = "1" label = "facilitator"]
+	SessionInstance -> Session [headlabel = "1" label = "session"]
+	SessionInstance -> SurveyInstance [headlabel = "*" label = "surveyinstances"]
+	SessionInstance -> ApplicationInstance [headlabel = "*" label = "applicationinstances"]
+	
+	PlayerResult -> Respondent [headlabel = "1" label = "respondent"]
+	GroupResult -> Respondent [headlabel = "1" label = "respondent"]
+	PeriodicResult -> Respondent [headlabel = "1" label = "respondent"]
+	
+}
Index: Doc/Diagrams/state_diagram.dot
===================================================================
--- Doc/Diagrams/state_diagram.dot	(revision 309)
+++ Doc/Diagrams/state_diagram.dot	(revision 309)
@@ -0,0 +1,123 @@
+digraph FacilitatorToolStatediagram {
+	rankdir = LR;
+	fontname = "Tahoma"
+	fontsize = 8
+	node [
+		fontname = "Tahoma"
+		fontsize = 8
+		shape = "ellipse"
+	]
+	edge [
+		fontname = "Tahoma" 
+		fontsize = 8
+	]
+
+	Session [
+		label = "Session"
+	]
+	Session_used [
+		label = "Session"
+	]		
+	Session -> Session [label = "Removable \lEditable: \ltitle \lpipeline"]
+	Session -> Session_used [label = "gets used in a SessionInstance"]
+	Session_used -> Session_used [label = "Editable: \ltitle"]
+
+	Survey [
+		label = "Survey"
+	]
+	Survey_selected [
+		label = "Survey"
+	]
+	Survey_used [
+		label = "Survey" 
+	]
+	Survey -> Survey [label = "Fully editable/removable"]
+	Survey -> Survey_selected [label = "gets selected in a Session"]
+	Survey_selected -> Survey_selected [label = "Editable: \ltitle \ldescription \lquestions"]
+	Survey_selected -> Survey_used [label = "gets used in a SessionInstance"]
+	Survey_used -> Survey_used [label = "Editable: \ltitle \ldescription"]
+
+
+	Application [
+		label = "Application"
+	]
+	Application_selected [
+		label = "Application"
+	]
+	Application_used [
+		label = "Application"
+	]
+	Application -> Application [label = "Fully editable/removable"]
+	Application -> Application_selected [label = "gets selected in a session"]
+	Application_selected -> Application_selected [label = "Fully editable"]
+	Application_selected -> Application_used [label = "gets used in a SesssionInstance"]
+	Application_selected -> Application [label = "gets unselected from a session / session gets removed"]
+	Application_used -> Application_used [label = "Fully editable"]
+
+	SessionInstance [
+		label = SessionInstance
+	]
+	SessionInstance_start [
+		label = SessionInstance
+	]	
+	SessionInstance->SessionInstance [label = "Fully editable/removable"]
+	SessionInstance->SessionInstance_start [label = "Starttime passes"]
+	SessionInstance_start->SessionInstance_start [label = "Editable: \ltitle \llocation \lfacilitator \lendtime \lnotes"]
+
+
+	ApplicationInstance [
+		label = ApplicationInstance
+	]
+	ApplicationInstance_open [
+		label = ApplicationInstance
+	]
+	ApplicationInstance_closed [
+		label = ApplicationInstance
+	]	
+	SessionInstance_start -> ApplicationInstance [label = "creates"]
+	ApplicationInstance -> ApplicationInstance [label = "Editable: \lstarttime \lendtime \lopen"]
+	ApplicationInstance -> ApplicationInstance_open [label = "Starttime passes or open is set to true"]
+	ApplicationInstance_open -> ApplicationInstance_open [label = "Editable: \lendtime \lopen \lresults"]
+	ApplicationInstance_open -> ApplicationInstance_closed [label = "Endtime passes or open is set to false"]
+	ApplicationInstance_closed -> ApplicationInstance_closed [label = "Editable: \lopen"]
+	ApplicationInstance_closed -> ApplicationInstance_open [label = "open is set to true"]
+
+
+	SurveyInstance [
+		label = SurveyInstance
+	]
+	SurveyInstance_open [
+		label = SurveyInstance
+	]
+	SurveyInstance_closed [
+		label = SurveyInstance
+	]
+	SessionInstance_start -> SurveyInstance [label = "creates"]
+	SurveyInstance -> SurveyInstance [label = "Editable: \lstarttime \lendtime \lopen \lpresetanswers"]
+	SurveyInstance -> SurveyInstance_open [label = "Starttime passes or open is set to true"]
+	SurveyInstance_open -> SurveyInstance_open [label = "Editable: \lendtime \lopen \lanswersets"]
+	SurveyInstance_open -> SurveyInstance_closed [label = "Endtime passes or open is set to false"]
+	SurveyInstance_closed -> SurveyInstance_closed [label = "Editable: \lopen"]
+	SurveyInstance_closed -> SurveyInstance_open [label = "open is set to true"]
+
+	AnswerSet [
+		label = AnswerSet
+	]
+	AnswerSet -> AnswerSet [label = "Editable: \lsurvey \lrespondent \lanswers"]
+
+	Answer [
+		label = Answer
+	]
+	Answer -> Answer [label = "Editable: \lquestion \lvalues"]
+
+	User [
+		label = User
+	]
+	User -> User [label = "Editable: \lpasswordHash \lpasswordSalt"]
+
+	Respondent [
+		label = Respondent
+	]	
+	Respondent -> Respondent [label = "Editable: \lpasswordHash \lpasswordSalt"]
+
+}