Index: Doc/Diagrams/state_diagram.dot
===================================================================
--- Doc/Diagrams/state_diagram.dot	(revision 309)
+++ Doc/Diagrams/state_diagram.dot	(revision 317)
@@ -121,3 +121,14 @@
 	Respondent -> Respondent [label = "Editable: \lpasswordHash \lpasswordSalt"]
 
+	Question [
+		label = Question
+	]
+	Question_used [
+		label = Question
+	]
+	Question -> Question [label = "Fully editable/removable"]
+	Question -> Question_used [label = "Gets selected in a Survey"]
+	Question_used -> Question_used [label = "Not editable"]
+
+
 }
Index: Doc/Requirements/requirements.aux
===================================================================
--- Doc/Requirements/requirements.aux	(revision 317)
+++ Doc/Requirements/requirements.aux	(revision 317)
@@ -0,0 +1,23 @@
+\relax 
+\@writefile{toc}{\contentsline {section}{\numberline {1}Introduction}{3}}
+\@writefile{toc}{\contentsline {section}{\numberline {2}Data types and scales}{3}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1}Question types}{3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.1}Free response}{3}}
+\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces An example of a free response question.}}{3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.2}Multiple choice, single answer}{3}}
+\@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces An example of a multiple choice, single answer question}}{3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.3}Multiple choice, multiple answer}{3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.4}Boolean questions}{3}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces An example of a multiple choice, multiple answer question}}{4}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces An example of a boolean question.}}{4}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.5}Choice grids, single answer}{4}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces An example of a choice grid, single answer}}{4}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.1.6}Choice grids, multiple answer}{4}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces An example of a choice grid, multiple answer}}{4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.2}Game Data}{4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.3}Measurement scales}{5}}
+\newlabel{f:levels}{{2.3}{5}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces The differences between levels of measurement.}}{5}}
+\@writefile{toc}{\contentsline {section}{\numberline {3}Server}{5}}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Client}{5}}
+\@writefile{toc}{\contentsline {section}{\numberline {5}Glossary}{5}}
Index: Doc/Requirements/requirements.log
===================================================================
--- Doc/Requirements/requirements.log	(revision 317)
+++ Doc/Requirements/requirements.log	(revision 317)
@@ -0,0 +1,251 @@
+This is pdfTeX, Version 3.1415926-2.3-1.40.12 (MiKTeX 2.9) (preloaded format=pdflatex 2011.11.7)  30 MAR 2012 15:50
+entering extended mode
+**D:/jkraaijeveld/Desktop/Doc/Requirements/requirements.tex
+(D:/jkraaijeveld/Desktop/Doc/Requirements/requirements.tex
+LaTeX2e <2011/06/27>
+Babel <v3.8m> and hyphenation patterns for english, afrikaans, ancientgreek, ar
+abic, armenian, assamese, basque, bengali, bokmal, bulgarian, catalan, coptic, 
+croatian, czech, danish, dutch, esperanto, estonian, farsi, finnish, french, ga
+lician, german, german-x-2009-06-19, greek, gujarati, hindi, hungarian, iceland
+ic, indonesian, interlingua, irish, italian, kannada, kurmanji, lao, latin, lat
+vian, lithuanian, malayalam, marathi, mongolian, mongolianlmc, monogreek, ngerm
+an, ngerman-x-2009-06-19, nynorsk, oriya, panjabi, pinyin, polish, portuguese, 
+romanian, russian, sanskrit, serbian, slovak, slovenian, spanish, swedish, swis
+sgerman, tamil, telugu, turkish, turkmen, ukenglish, ukrainian, uppersorbian, u
+senglishmax, welsh, loaded.
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\base\article.cls"
+Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\base\size10.clo"
+File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
+)
+\c@part=\count79
+\c@section=\count80
+\c@subsection=\count81
+\c@subsubsection=\count82
+\c@paragraph=\count83
+\c@subparagraph=\count84
+\c@figure=\count85
+\c@table=\count86
+\abovecaptionskip=\skip41
+\belowcaptionskip=\skip42
+\bibindent=\dimen102
+)
+("h:\Application data\MiKTeX\2.9\tex\latex\preprint\fullpage.sty"
+Package: fullpage 1999/02/23 1.1 (PWD)
+\FP@margin=\skip43
+)
+("h:\Application data\MiKTeX\2.9\tex\latex\pdfpages\pdfpages.sty"
+Package: pdfpages 2011/03/10 v0.4n Insert pages of external PDF documents (AM)
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\base\ifthen.sty"
+Package: ifthen 2001/05/26 v1.1c Standard LaTeX ifthen package (DPC)
+)
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\tools\calc.sty"
+Package: calc 2007/08/22 v4.3 Infix arithmetic (KKT,FJ)
+\calc@Acount=\count87
+\calc@Bcount=\count88
+\calc@Adimen=\dimen103
+\calc@Bdimen=\dimen104
+\calc@Askip=\skip44
+\calc@Bskip=\skip45
+LaTeX Info: Redefining \setlength on input line 76.
+LaTeX Info: Redefining \addtolength on input line 77.
+\calc@Ccount=\count89
+\calc@Cskip=\skip46
+)
+("h:\Application data\MiKTeX\2.9\tex\latex\eso-pic\eso-pic.sty"
+Package: eso-pic 2010/10/06 v2.0c eso-pic (RN)
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\generic\oberdiek\atbegshi.sty"
+Package: atbegshi 2011/01/30 v1.15 At begin shipout hook (HO)
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\generic\oberdiek\infwarerr.sty"
+Package: infwarerr 2010/04/08 v1.3 Providing info/warning/message (HO)
+)
+("C:\Program Files (x86)\MiKTeX 2.9\tex\generic\oberdiek\ltxcmds.sty"
+Package: ltxcmds 2011/04/18 v1.20 LaTeX kernel commands for general use (HO)
+)
+("C:\Program Files (x86)\MiKTeX 2.9\tex\generic\oberdiek\ifpdf.sty"
+Package: ifpdf 2011/01/30 v2.3 Provides the ifpdf switch (HO)
+Package ifpdf Info: pdfTeX in PDF mode is detected.
+))
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\graphics\keyval.sty"
+Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
+\KV@toks@=\toks14
+)
+("h:\Application data\MiKTeX\2.9\tex\latex\xcolor\xcolor.sty"
+Package: xcolor 2007/01/21 v2.11 LaTeX color extensions (UK)
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\00miktex\color.cfg"
+File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
+)
+Package xcolor Info: Driver file: pdftex.def on input line 225.
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\pdftex-def\pdftex.def"
+File: pdftex.def 2011/05/27 v0.06d Graphics/color for pdfTeX
+\Gread@gobject=\count90
+)
+Package xcolor Info: Model `cmy' substituted by `cmy0' on input line 1337.
+Package xcolor Info: Model `hsb' substituted by `rgb' on input line 1341.
+Package xcolor Info: Model `RGB' extended on input line 1353.
+Package xcolor Info: Model `HTML' substituted by `rgb' on input line 1355.
+Package xcolor Info: Model `Hsb' substituted by `hsb' on input line 1356.
+Package xcolor Info: Model `tHsb' substituted by `hsb' on input line 1357.
+Package xcolor Info: Model `HSB' substituted by `hsb' on input line 1358.
+Package xcolor Info: Model `Gray' substituted by `gray' on input line 1359.
+Package xcolor Info: Model `wave' substituted by `hsb' on input line 1360.
+))
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\graphics\graphicx.sty"
+Package: graphicx 1999/02/16 v1.0f Enhanced LaTeX Graphics (DPC,SPQR)
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\graphics\graphics.sty"
+Package: graphics 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
+
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\graphics\trig.sty"
+Package: trig 1999/03/16 v1.09 sin cos tan (DPC)
+)
+("C:\Program Files (x86)\MiKTeX 2.9\tex\latex\00miktex\graphics.cfg"
+File: graphics.cfg 2007/01/18 v1.5 graphics configuration of teTeX/TeXLive
+)
+Package graphics Info: Driver file: pdftex.def on input line 91.
+)
+\Gin@req@height=\dimen105
+\Gin@req@width=\dimen106
+)
+("h:\Application data\MiKTeX\2.9\tex\latex\pdfpages\pppdftex.def"
+File: pppdftex.def 2011/03/10 v0.4n Pdfpages driver for pdfTeX (AM)
+)
+\AM@pagebox=\box26
+\AM@toc@title=\toks15
+\c@AM@survey=\count91
+\AM@templatesizebox=\box27
+)
+(D:\jkraaijeveld\Desktop\Doc\Requirements\requirements.aux)
+LaTeX Font Info:    Checking defaults for OML/cmm/m/it on input line 8.
+LaTeX Font Info:    ... okay on input line 8.
+LaTeX Font Info:    Checking defaults for T1/cmr/m/n on input line 8.
+LaTeX Font Info:    ... okay on input line 8.
+LaTeX Font Info:    Checking defaults for OT1/cmr/m/n on input line 8.
+LaTeX Font Info:    ... okay on input line 8.
+LaTeX Font Info:    Checking defaults for OMS/cmsy/m/n on input line 8.
+LaTeX Font Info:    ... okay on input line 8.
+LaTeX Font Info:    Checking defaults for OMX/cmex/m/n on input line 8.
+LaTeX Font Info:    ... okay on input line 8.
+LaTeX Font Info:    Checking defaults for U/cmr/m/n on input line 8.
+LaTeX Font Info:    ... okay on input line 8.
+\AtBeginShipoutBox=\box28
+
+("h:\Application data\MiKTeX\2.9\tex\context\base\supp-pdf.mkii"
+[Loading MPS to PDF converter (version 2006.09.02).]
+\scratchcounter=\count92
+\scratchdimen=\dimen107
+\scratchbox=\box29
+\nofMPsegments=\count93
+\nofMParguments=\count94
+\everyMPshowfont=\toks16
+\MPscratchCnt=\count95
+\MPscratchDim=\dimen108
+\MPnumerator=\count96
+\makeMPintoPDFobject=\count97
+\everyMPtoPDFconversion=\toks17
+)
+LaTeX Font Info:    External font `cmex10' loaded for size
+(Font)              <12> on input line 10.
+LaTeX Font Info:    External font `cmex10' loaded for size
+(Font)              <8> on input line 10.
+LaTeX Font Info:    External font `cmex10' loaded for size
+(Font)              <6> on input line 10.
+ [1
+
+{C:/Users/jkraaijeveld/AppData/Local/MiKTeX/2.9/pdftex/config/pdftex.map}]
+(D:\jkraaijeveld\Desktop\Doc\Requirements\requirements.toc
+LaTeX Font Info:    External font `cmex10' loaded for size
+(Font)              <7> on input line 3.
+LaTeX Font Info:    External font `cmex10' loaded for size
+(Font)              <5> on input line 3.
+)
+\tf@toc=\write3
+ [2]
+(D:\jkraaijeveld\Desktop\Doc\Requirements\scales.tex
+<free_response.png, id=13, 262.73157pt x 44.41594pt>
+File: free_response.png Graphic file (type png)
+ <use free_response.png>
+Package pdftex.def Info: free_response.png used on input line 14.
+(pdftex.def)             Requested size: 262.73091pt x 44.41582pt.
+
+<mpchoice_single.png, id=15, 140.77594pt x 130.98938pt>
+File: mpchoice_single.png Graphic file (type png)
+
+<use mpchoice_single.png>
+Package pdftex.def Info: mpchoice_single.png used on input line 24.
+(pdftex.def)             Requested size: 70.38779pt x 65.49452pt.
+
+<mpchoice_multi.png, id=16, 319.1925pt x 153.57375pt>
+File: mpchoice_multi.png Graphic file (type png)
+ <use mpchoice_multi.png>
+Package pdftex.def Info: mpchoice_multi.png used on input line 34.
+(pdftex.def)             Requested size: 159.59586pt x 76.78668pt.
+
+
+LaTeX Warning: `h' float specifier changed to `ht'.
+
+<boolean_question.png, id=17, 112.16907pt x 68.50594pt>
+File: boolean_question.png Graphic file (type png)
+
+<use boolean_question.png>
+Package pdftex.def Info: boolean_question.png used on input line 46.
+(pdftex.def)             Requested size: 56.08438pt x 34.25288pt.
+
+
+LaTeX Warning: `h' float specifier changed to `ht'.
+
+<choice_grid_single.png, id=18, 523.20468pt x 124.96687pt>
+File: choice_grid_single.png Graphic file (type png)
+
+<use choice_grid_single.png>
+Package pdftex.def Info: choice_grid_single.png used on input line 57.
+(pdftex.def)             Requested size: 261.6017pt x 62.48328pt.
+ [3 <D:/jkraaijeveld/Desktop/Doc/Requirements/free_response.png> <D:/jkraaijeve
+ld/Desktop/Doc/Requirements/mpchoice_single.png>]
+<choice_grid_multi.png, id=25, 520.19344pt x 139.27031pt>
+File: choice_grid_multi.png Graphic file (type png)
+
+<use choice_grid_multi.png>
+Package pdftex.def Info: choice_grid_multi.png used on input line 67.
+(pdftex.def)             Requested size: 260.09607pt x 69.63498pt.
+ [4 <D:/jkraaijeveld/Desktop/Doc/Requirements/mpchoice_multi.png> <D:/jkraaijev
+eld/Desktop/Doc/Requirements/boolean_question.png> <D:/jkraaijeveld/Desktop/Doc
+/Requirements/choice_grid_single.png> <D:/jkraaijeveld/Desktop/Doc/Requirements
+/choice_grid_multi.png>]
+<measurementlevels.png, id=33, 1059.96pt x 98.61844pt>
+File: measurementlevels.png Graphic file (type png)
+
+<use measurementlevels.png>
+Package pdftex.def Info: measurementlevels.png used on input line 87.
+(pdftex.def)             Requested size: 469.75502pt x 43.70523pt.
+) [5 <D:/jkraaijeveld/Desktop/Doc/Requirements/measurementlevels.png>] (D:\jkra
+aijeveld\Desktop\Doc\Requirements\requirements.aux) ) 
+Here is how much of TeX's memory you used:
+ 2425 strings out of 494045
+ 33912 string characters out of 3146002
+ 94256 words of memory out of 3000000
+ 5710 multiletter control sequences out of 15000+200000
+ 7895 words of font info for 28 fonts, out of 3000000 for 9000
+ 715 hyphenation exceptions out of 8191
+ 37i,8n,39p,298b,273s stack positions out of 5000i,500n,10000p,200000b,50000s
+<C:/Program Files (x86)/Mi
+KTeX 2.9/fonts/type1/public/amsfonts/cm/cmbx10.pfb><C:/Program Files (x86)/MiKT
+eX 2.9/fonts/type1/public/amsfonts/cm/cmbx12.pfb><C:/Program Files (x86)/MiKTeX
+ 2.9/fonts/type1/public/amsfonts/cm/cmr10.pfb><C:/Program Files (x86)/MiKTeX 2.
+9/fonts/type1/public/amsfonts/cm/cmr12.pfb><C:/Program Files (x86)/MiKTeX 2.9/f
+onts/type1/public/amsfonts/cm/cmr17.pfb><C:/Program Files (x86)/MiKTeX 2.9/font
+s/type1/public/amsfonts/cm/cmr6.pfb><C:/Program Files (x86)/MiKTeX 2.9/fonts/ty
+pe1/public/amsfonts/cm/cmr7.pfb><C:/Program Files (x86)/MiKTeX 2.9/fonts/type1/
+public/amsfonts/cm/cmr8.pfb><C:/Program Files (x86)/MiKTeX 2.9/fonts/type1/publ
+ic/amsfonts/cm/cmsy10.pfb>
+Output written on requirements.pdf (5 pages, 157047 bytes).
+PDF statistics:
+ 69 PDF objects out of 1000 (max. 8388607)
+ 0 named destinations out of 1000 (max. 500000)
+ 36 words of extra memory for PDF output out of 10000 (max. 10000000)
+
Index: Doc/Requirements/requirements.tex
===================================================================
--- Doc/Requirements/requirements.tex	(revision 317)
+++ Doc/Requirements/requirements.tex	(revision 317)
@@ -0,0 +1,31 @@
+\documentclass{article}
+\title{Requirements Specification for the Facilitator Tool}
+\author{Jos Kraaijeveld}
+\date{\today}
+\usepackage{fullpage}
+\usepackage[final]{pdfpages}
+\usepackage{graphicx}
+\begin{document}
+
+\maketitle
+\pagebreak
+\tableofcontents
+\pagebreak
+
+\section{Introduction}\label{s:intro}
+	This document contains the requirements which have to be implemented in the facilitator tool.
+
+\section{Data types and scales}\label{s:datatypes}
+	\input{scales.tex}
+
+\section{Server}\label{s:server}
+	\input{server.tex}
+
+\section{Client}\label{s:client}
+	<Section about all functionality on the client side of things>
+
+\section{Glossary}\label{s:glossary}
+	<Glossary>
+
+\end{document}
+
Index: Doc/Requirements/requirements.toc
===================================================================
--- Doc/Requirements/requirements.toc	(revision 317)
+++ Doc/Requirements/requirements.toc	(revision 317)
@@ -0,0 +1,14 @@
+\contentsline {section}{\numberline {1}Introduction}{3}
+\contentsline {section}{\numberline {2}Data types and scales}{3}
+\contentsline {subsection}{\numberline {2.1}Question types}{3}
+\contentsline {subsubsection}{\numberline {2.1.1}Free response}{3}
+\contentsline {subsubsection}{\numberline {2.1.2}Multiple choice, single answer}{3}
+\contentsline {subsubsection}{\numberline {2.1.3}Multiple choice, multiple answer}{3}
+\contentsline {subsubsection}{\numberline {2.1.4}Boolean questions}{3}
+\contentsline {subsubsection}{\numberline {2.1.5}Choice grids, single answer}{4}
+\contentsline {subsubsection}{\numberline {2.1.6}Choice grids, multiple answer}{4}
+\contentsline {subsection}{\numberline {2.2}Game Data}{4}
+\contentsline {subsection}{\numberline {2.3}Measurement scales}{5}
+\contentsline {section}{\numberline {3}Server}{5}
+\contentsline {section}{\numberline {4}Client}{5}
+\contentsline {section}{\numberline {5}Glossary}{5}
Index: Doc/Requirements/scales.tex
===================================================================
--- Doc/Requirements/scales.tex	(revision 317)
+++ Doc/Requirements/scales.tex	(revision 317)
@@ -0,0 +1,94 @@
+The system needs to support different ways in which as question can be asked. This section will
+describe the various ways we have identified. We also note which measurement scale belongs to
+such a data source, to explain what statistical operations can be performed on resulting
+datasets. 
+
+\subsection{Question types}
+	\subsubsection{Free response}
+		This is a question for which the respondent can answer anything, given certain
+		restrictions. It can be a specific datatype (like integer or text) and have specific
+		restrictions (like 0 $\leq$ x $\leq$ 100, or text length $\leq$ 100). 
+		\begin{figure}[h]
+			\begin{center}
+				\caption{An example of a free response question.}
+				\includegraphics{free_response.png}
+			\end{center}	
+		\end{figure}	
+
+	\subsubsection{Multiple choice, single answer}
+		This is a multiple choice question with mutually exclusive answers. The resulting data
+		type can differ per question.
+		\begin{figure}[h]
+			\begin{center}
+				\caption{An example of a multiple choice, single answer question}
+				\includegraphics[scale=.5]{mpchoice_single.png}
+			\end{center}
+		\end{figure}		
+	
+	\subsubsection{Multiple choice, multiple answer}
+		This is a multiple choice question with non-mutual exclusive answers. The resulting
+		data type can differ per question.
+		\begin{figure}[h]
+			\begin{center}
+				\caption{An example of a multiple choice, multiple answer question}
+				\includegraphics[scale=.5]{mpchoice_multi.png}
+			\end{center}
+		\end{figure}
+	
+	\subsubsection{Boolean questions}
+		Boolean questions can be used to ask simple questions in the form of Yes/No,
+		Agree/Disagree, True/False, etcetera. This is a more specific version of the multiple
+		choice, single answer question. It gets its own category because it belongs to a
+		different scale.
+		\begin{figure}[h]
+			\begin{center}
+				\caption{An example of a boolean question.}
+				\includegraphics[scale=.5]{boolean_question.png}
+			\end{center}
+		\end{figure}
+
+	\subsubsection{Choice grids, single answer}
+		Choice grids are used to answer questions or grade statements based on a custom-made
+		scale. This scale also determines the measurement type scale. This type is defined by
+		the attribute that each row is similar to a multiple choice, single answer question.
+		\begin{figure}[h!]
+			\begin{center}
+				\caption{An example of a choice grid, single answer}
+				\includegraphics[scale=.5]{choice_grid_single.png}
+			\end{center}
+		\end{figure}	
+	\subsubsection{Choice grids, multiple answer}
+		Choice grids are used to answer questions or grade statements based on a custom-made
+		scale. This scale also determines the measurement type scale. This type is defined by
+		the attribute that each row is similar to a multiple choice, multiple answer question.
+		\begin{figure}[h!]
+			\begin{center}
+				\caption{An example of a choice grid, multiple answer}
+				\includegraphics[scale=.5]{choice_grid_multi.png}
+			\end{center}
+		\end{figure}
+
+\subsection{Game Data}
+	Game data will obviously differ greatly depending on the game that will be played. This is
+	why this has to be specified on a per-game basis. 
+	
+\subsection{Measurement scales}
+	Different levels of measurement allow for different types of permissible operations on a
+	dataset. Seeing as the questions and game results can be seen as statistical data, we will
+	have to differ between them based on their scale type.
+
+	Information about scale types can be found on 
+	Wikipedia\footnote{http://en.wikipedia.org/wiki/Level\_of\_measurement} or in figure 
+	\ref{f:levels}. 
+
+\begin{figure}[h]
+	\label{f:levels}
+	\caption{The differences between levels of measurement.}
+	\includegraphics[width=\textwidth]{measurementlevels.png}
+\end{figure}
+
+	Every type of question and every type of game data belongs to one of these four scales,
+	which have to be specified by the Survey's creator. By adding the information of
+	measurement scale, we can support the various statistical computations that are allowed on
+	every data type.
+
Index: Doc/Requirements/server.tex
===================================================================
--- Doc/Requirements/server.tex	(revision 317)
+++ Doc/Requirements/server.tex	(revision 317)
@@ -0,0 +1,11 @@
+The facilitator tool will work with a client/server model. The server will be responsible for
+all data storage related transactions, and has to do at least the following tasks:
+\begin{enumerate}
+	\item It must be possible to CRUD questions of types described in section \ref{s:datatypes}.
+	\item It must be possible to CRUD surveys as an ordered list of questions.
+	\item It must be possible to CRUD games by defining a game's ontology.
+	\item It must be possible to CRUD sessions as ordered lists of surveys and games.
+	\item It must be possible to host sessions and stores answers and results generated during the
+	session.
+
+