Index: Dev/branches/rest-dojo-ui/client/mockup.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/mockup.html	(revision 316)
+++ Dev/branches/rest-dojo-ui/client/mockup.html	(revision 319)
@@ -4,5 +4,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Research Facilitator Tool</title>
-        <link rel="stylesheet" type="text/css" href="dojotoolkit/dijit/themes/claro/claro.css" />
+        <link rel="stylesheet" type="text/css" href="dojotoolkit/dijit/themes/gamelab/gamelab.css" />
         <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/Grid.css" />
         <link rel="stylesheet" type="text/css" href="dojotoolkit/dojox/grid/resources/claroGrid.css" />
@@ -46,13 +46,119 @@
             });
         </script>
+        <!--
         <style>
+            /*  
+             CLARO EXTEND STYLE for researchtool
+             Note: Possibly overwrites important claro properties, so instead of altering standard elements, try to add a new class for them.
+             This also has the effect of ensuring that the new rules will overwrite the rules specified in claro.css!
+            */
+
+            body, html {
+                font-family: 'Segoe UI', Verdana, sans-serif;
+                font-size: 13px;
+                background-color: #333333;
+            }
+
+            .claro .header {
+                background-color: #333;
+                height: 80px;
+            }
+
+            .claro .header .mainLogo {
+                float: left;
+                height: 54px;
+                font-size: 48px;
+                margin: 0 0 0 50px;
+            }
+
+            .claro .header .mainMenu {
+                margin: 10px 0 17px 500px;
+                font-size: 20px;
+                line-height: 30px;
+                width: 370px;
+                height: 30px;
+                float: left;
+            }
+
+            .claro .header .mainMenu.dijitMenuPassive .dijitMenuItem {
+                color: #999999;
+                font-size: 20px;
+                line-height: 30px;
+                margin: 0;
+                padding:0;
+            }
+            
+            .claro .header .mainMenu.dijitMenuPassive .dijitMenuItemSelected {
+                background: none;
+                background-color: transparent;
+                border: none;
+                margin: 0;
+                color: #ffffff;
+                font-size: 30px;
+            }
+            
+            .claro .header .mainMenu.dijitMenuPassive .dijitMenuItemHover {
+                background: none;
+                background-color: transparent;
+                border: none;
+                margin: 0;
+                color: #ffffff;
+            }
+            
+            
+            
+            
+            
+            .claro .header .dijitMenuBar {
+                border: none;
+                background: transparent;
+            }
+
+            .claro .header .breadcrumbs {
+                height: 14px;
+                text-align: center;
+                clear: both;
+                margin: 0;
+            }
+
+            .claro .header .breadcrumbs .breadcrumb {
+                padding: 3px 0;
+                font-size: 14px;
+                line-height: 16px;
+                color: #999999;
+            }
+            
+            .claro .header .breadcrumbs .breadcrumb:hover {
+                color: #ffffff;
+            }
+
+            .claro .header .breadcrumbs .breadcrumb.current {
+                font-size: 16px;
+                color: #ffffff;
+            }
+
             .dijitTab {
-                width: 120px;
+                width: 190px;
                 white-space: normal;
             }
+
+            .claro .dijitContentPane.content {
+                background-color: #444444;
+            }
+
+
+
+
+
+
+
+
+
 
             .rftLineWithButtons {
                 display: table;
                 width: 100%;
+                height: 24px;
+                background-color: #0072bc;
                 border: 1px gray solid;
                 margin: 2px;
@@ -75,20 +181,37 @@
                 text-align: right;
             }
+
+            /* Softbutton is the type of button/element that is 50% 'transparent' in idle state (#Disabled), and opaque (#White) on active/hover/select. Icon is always opaque */
+            .softButton {
+                color: #999999;
+            }
+
+            .softButton.softButtonOn {
+                color: #fff;
+            }
+
         </style>
+        -->
     </head>
-    <body class="dijitReset claro">
+    <body class="dijitReset gamelab">
         <div class="header">
-            <div data-dojo-type="dijit.MenuBar">
-                <div data-dojo-type="dijit.MenuBarItem">Research tool</div>
-                <div data-dojo-type="dijit.MenuBarItem">Sessions</div>
-                <div data-dojo-type="dijit.MenuBarItem">Content</div>
-                <div data-dojo-type="dijit.MenuBarItem">Results</div>
-                <div data-dojo-type="dijit.MenuBarItem">Log out</div>
-            </div>
-            <div class="breadcrumbs">Home > Sessions > Session A > Survey 123 [Editing]</div>
+            <div class="mainLogo">Research Tool</div>
+
+            <div data-dojo-type="dijit.MenuBar" class="mainMenu">
+                <div data-dojo-type="dijit.MenuBarItem" >Sessions</div>
+                <div data-dojo-type="dijit.MenuBarItem" >Content</div>
+                <div data-dojo-type="dijit.MenuBarItem" >Results</div>
+                <div data-dojo-type="dijit.MenuBarItem" >Log out</div>
+            </div>
+            <div class="breadcrumbs">
+                <span class="breadcrumb">Home > </span>
+                <span class="breadcrumb">Sessions > </span>
+                <span class="breadcrumb">Session A > </span>
+                <span class="breadcrumb breadcrumbCurrent">Survey 123 [Editing]</span>
+            </div>
         </div>
         <div class="content" data-dojo-type="dijit.layout.ContentPane">
             <div class="title">
-                <span class="titleIcon"></span><span class="titleText">Survey 123 [Editing]</span>
+                <span class="titleIcon"><img style="width: 32px; height: 32px; background-color: #ff00ff;" /></span><h2 class="titleText">Survey 123 [Editing]</h2>
             </div>
             <div data-dojo-type="dijit.layout.BorderContainer" style="width: 100%; height: 500px;">