Index: Dev/researchtool-jena/researchtool-jena/pom.xml
===================================================================
--- Dev/researchtool-jena/researchtool-jena/pom.xml	(revision 321)
+++ Dev/researchtool-jena/researchtool-jena/pom.xml	(revision 321)
@@ -0,0 +1,90 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+    <modelVersion>4.0.0</modelVersion>
+
+    <groupId>CPS</groupId>
+    <artifactId>researchtool-jena</artifactId>
+    <version>0.1-INIT</version>
+    <packaging>war</packaging>
+
+    <name>researchtool-jena Web App</name>
+
+    <properties>
+        <endorsed.dir>${project.build.directory}/endorsed</endorsed.dir>
+        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+    </properties>
+
+    <dependencies>
+        <dependency>
+            <groupId>javax</groupId>
+            <artifactId>javaee-web-api</artifactId>
+            <version>6.0</version>
+            <scope>provided</scope>
+        </dependency>
+
+        <dependency>
+            <groupId>junit</groupId>
+            <artifactId>junit</artifactId>
+            <version>4.8.1</version>
+            <scope>test</scope>
+        </dependency>
+        
+        <dependency>
+          <groupId>org.apache.jena</groupId>
+          <artifactId>jena-arq</artifactId>
+          <version>2.9.0-incubating</version>
+        </dependency>
+    </dependencies>
+
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-compiler-plugin</artifactId>
+                <version>2.3.2</version>
+                <configuration>
+                    <source>1.6</source>
+                    <target>1.6</target>
+                    <compilerArguments>
+                        <endorseddirs>${endorsed.dir}</endorseddirs>
+                    </compilerArguments>
+                </configuration>
+            </plugin>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-war-plugin</artifactId>
+                <version>2.1</version>
+                <configuration>
+                    <failOnMissingWebXml>false</failOnMissingWebXml>
+                </configuration>
+            </plugin>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-dependency-plugin</artifactId>
+                <version>2.1</version>
+                <executions>
+                    <execution>
+                        <phase>validate</phase>
+                        <goals>
+                            <goal>copy</goal>
+                        </goals>
+                        <configuration>
+                            <outputDirectory>${endorsed.dir}</outputDirectory>
+                            <silent>true</silent>
+                            <artifactItems>
+                                <artifactItem>
+                                    <groupId>javax</groupId>
+                                    <artifactId>javaee-endorsed-api</artifactId>
+                                    <version>6.0</version>
+                                    <type>jar</type>
+                                </artifactItem>
+                            </artifactItems>
+                        </configuration>
+                    </execution>
+                </executions>
+            </plugin>
+        </plugins>
+        <finalName>researchtool-jena</finalName>
+    </build>
+
+</project>
Index: Dev/researchtool-jena/researchtool-jena/src/main/java/cps/researchtooljena/RdfTest.java
===================================================================
--- Dev/researchtool-jena/researchtool-jena/src/main/java/cps/researchtooljena/RdfTest.java	(revision 321)
+++ Dev/researchtool-jena/researchtool-jena/src/main/java/cps/researchtooljena/RdfTest.java	(revision 321)
@@ -0,0 +1,15 @@
+
+package cps.researchtooljena;
+
+import com.hp.hpl.jena.rdf.model.Model;
+import com.hp.hpl.jena.rdf.model.ModelFactory;
+
+/**
+ *
+ * @author jkraaijeveld
+ */
+public class RdfTest {
+    public static void main(String[] args) {
+        Model model = ModelFactory.createDefaultModel();
+    }
+}
Index: Dev/researchtool-jena/researchtool-jena/src/main/webapp/index.jsp
===================================================================
--- Dev/researchtool-jena/researchtool-jena/src/main/webapp/index.jsp	(revision 321)
+++ Dev/researchtool-jena/researchtool-jena/src/main/webapp/index.jsp	(revision 321)
@@ -0,0 +1,13 @@
+<%@page contentType="text/html" pageEncoding="UTF-8"%>
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
+   "http://www.w3.org/TR/html4/loose.dtd">
+
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title>JSP Page</title>
+    </head>
+    <body>
+        <h1>Hello World!</h1>
+    </body>
+</html>
Index: Dev/researchtool-jena/researchtool-jena/target/maven-archiver/pom.properties
===================================================================
--- Dev/researchtool-jena/researchtool-jena/target/maven-archiver/pom.properties	(revision 321)
+++ Dev/researchtool-jena/researchtool-jena/target/maven-archiver/pom.properties	(revision 321)
@@ -0,0 +1,5 @@
+#Generated by Maven
+#Mon Apr 23 10:02:54 CEST 2012
+version=0.1-INIT
+groupId=CPS
+artifactId=researchtool-jena
Index: Dev/researchtool-jena/researchtool-jena/target/researchtool-jena/index.jsp
===================================================================
--- Dev/researchtool-jena/researchtool-jena/target/researchtool-jena/index.jsp	(revision 321)
+++ Dev/researchtool-jena/researchtool-jena/target/researchtool-jena/index.jsp	(revision 321)
@@ -0,0 +1,13 @@
+<%@page contentType="text/html" pageEncoding="UTF-8"%>
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
+   "http://www.w3.org/TR/html4/loose.dtd">
+
+<html>
+    <head>
+        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+        <title>JSP Page</title>
+    </head>
+    <body>
+        <h1>Hello World!</h1>
+    </body>
+</html>